Subject: Re: Is it possible to move Kernel Virtual Space to 0xE0000000

From: John Reiser <[email-masked]>
Date: Sat, 11 Aug 2007 08:22:47 -0700

> Giving Kernel virtual space to 0xD0000000 and it boots without any problems,
> however when I increase it more to 0xE0000000 it throws Program Exception. I
> will be glad if someone helps me out with refernces for Linux Porting on
> MPCs.

Search for:
	linux "4G/4G split"
This work was active a couple years ago on x86.  The kernel patches
are not trivial, and they cost about 15% in performance of system calls.
But they do provide almost a full 32-bits of address space for user mode.

The problem of "not enough user address space" also is solvable with
money.  Get a 64-bit machine.  It costs more per board but saves
development time, so costs less in the long run unless you are making
more than 10,000 systems.

--